Alokai

SapccApiCreateCartFromOrderRequest

Request parameters for createCartFromOrder operation in SapccApi. SapccApiCreateCartFromOrderRequest

interface SapccApiCreateCartFromOrderRequest {
	readonly baseSiteId: string;
	readonly fields?: CreateCartFromOrderFieldsEnum;
	readonly orderCode: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateCartFromOrder
fieldsOptionalCreateCartFromOrderFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiCreateCartFromOrder
orderCodeRequiredstringOrder code. {string} SapccApiCreateCartFromOrder
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateCartFromOrder

Referenced Types

On this page